Get campaign information
curl --request GET \
--url https://api.topsort.com/public/v1/offsite-ads/campaigns/{campaign_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/offsite-ads/campaigns/{campaign_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/offsite-ads/campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dsps": [
"google_ads",
"meta"
],
"name": "<string>",
"status": "ENABLED",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"budget": 123,
"targetRoas": 3,
"audience": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"estimatedSize": 123,
"estimatedSizeRange": {
"lowerBound": 123,
"upperBound": 123
},
"syncedDsps": [
"google_ads"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Offsite Ads API
Get campaign information
Get campaign.
GET
/
public
/
v1
/
offsite-ads
/
campaigns
/
{campaign_id}
Get campaign information
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The ID of the campaign to get.
Query Parameters
The ID of the vendor to get the campaign for.
Response
Successful Response
The unique identifier of the campaign
The Demand-Side Platforms (DSPs) associated with the campaign
Minimum array length:
1Available options:
google_ads, meta Example:
["google_ads", "meta"]
The name of the campaign
The current status of the campaign
Available options:
ENABLED, PAUSED The start date of the campaign
The end date of the campaign
The daily budget allocated for the campaign in cents
Target ROAS of the campaign. Acceptable values are between 1.0 and 20.0. Topsort maps this value to the closest equivalent bidding configuration supported by each DSP.
Required range:
1 <= x <= 20Example:
3
The audience targeted by the campaign
Show child attributes
Show child attributes
Was this page helpful?